Bug 970866 - Test suite failure: tst-audit2.out
Summary: Test suite failure: tst-audit2.out
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: glibc
Version: 22
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Florian Weimer
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-06-05 06:39 UTC by Siddhesh Poyarekar
Modified: 2016-02-17 12:50 UTC (History)
7 users (show)

Fixed In Version: glibc-2.21-11.fc22
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-02-17 12:50:09 UTC


Attachments (Terms of Use)

Description Siddhesh Poyarekar 2013-06-05 06:39:43 UTC
Description of problem:
tst-audit2.out test case fails:

=====/builddir/build/BUILD/glibc-2.17-757-g96df079/build-x86_64-redhat-linux/elf/tst-audit2.out=====
version: 1 
objopen: 0,
objopen: 0, /builddir/build/BUILD/glibc-2.17-757-g96df079/build-x86_64-redhat-linux/elf/ld-linux-x86-64.so.2
activity: add
objsearch: libc.so.6, LA_SET_ORIG
objsearch: /builddir/build/BUILD/glibc-2.17-757-g96df079/build-x86_64-redhat-linux/libc.so.6, LA_SER_LIBPATH
objopen: 0, /builddir/build/BUILD/glibc-2.17-757-g96df079/build-x86_64-redhat-linux/libc.so.6
activity: consistent
symbind64: symname=__libc_start_main, st_value=0x7f6d4bca5f00, ndx=2097, flags=0
pltenter: symname=__libc_start_main, st_value=0x7f6d4bca5f00, ndx=2097, flags=0
preinit
symbind64: symname=printf, st_value=0x7f6d4bcd8770, ndx=597, flags=0
pltenter: symname=printf, st_value=0x7f6d4bcd8770, ndx=597, flags=0
symbind64: symname=__tls_get_addr, st_value=0x7f6d4c630dc0, ndx=22, flags=0
pltenter: symname=__tls_get_addr, st_value=0x7f6d4c630dc0, ndx=22, flags=0
objclose
objclose
objclose
{abcdef72, d8675309} != {d8675309, abcdef72}


Version-Release number of selected component (if applicable):
glibc-2.17.90-1.fc20

How reproducible:
Always.

Steps to Reproduce:
See build log.

Comment 1 Fedora End Of Life 2013-09-16 14:05:53 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 20 development cycle.
Changing version to '20'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora20

Comment 3 Jaroslav Reznik 2015-03-03 14:57:21 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 22 development cycle.
Changing version to '22'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora22

Comment 5 Florian Weimer 2016-02-08 11:13:59 UTC
Upstream commit:

commit 51225803259c69a792a272d067443f3fbc9b79d7
Author: Andreas Schwab <schwab@suse.de>
Date:   Thu Jan 22 17:54:21 2015 +0100

    Fix failure of elf/tst-audit2 when compiled with GCC-5

Comment 6 Florian Weimer 2016-02-08 11:19:30 UTC
Patch is already in Fedora 23.

Comment 7 Fedora Update System 2016-02-08 15:54:10 UTC
glibc-2.21-10.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2016-0480defc94

Comment 8 Fedora Update System 2016-02-10 11:55:07 UTC
glibc-2.21-10.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-0480defc94

Comment 9 Fedora Update System 2016-02-16 16:10:24 UTC
glibc-2.21-11.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2016-0480defc94

Comment 10 Fedora Update System 2016-02-17 06:28:03 UTC
glibc-2.21-11.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-0480defc94

Comment 11 Fedora Update System 2016-02-17 12:49:17 UTC
glibc-2.21-11.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.